const path = require("path");

module.exports = {
  // 构建widget
  buildWidget(server) {
    const { common } = server.app;
    return {
      async handler(request, h) {
        const { widget, target } = request.payload;
        await common.buildWidget({ widget, target });
      }
    };
  },
  // buildSite(server) {
  //   const { common } = server.app;
  //   return {
  //     async handler(request, h) {
  //       const { site, target } = request.payload;
  //       await common.buildSite({ site, target });
  //     }
  //   };
  // },
  buildSite(server) {
    const { common } = server.app;
    return {
      async handler(request, h) {
        const { site, target } = request.query;
        const res = await common.buildSiteExports({
          site,
          target,
          force: true
        });
        return res;
      }
    };
  },
  buildSiteWidget(server) {
    const { common } = server.app;
    return {
      async handler(request, h) {
        const { site, widget, target } = request.payload;
        await common.buildSiteWidget({ site, widget, target });
      }
    };
  },
  buildSiteAll(server) {
    const { common } = server.app;
    return {
      async handler(request, h) {
        const { site, target } = request.payload;
        await common.buildSiteAll({ site, target });
      }
    };
  }
  // async handler(request, h) {
  //   // await common.build();
  //   return {
  //     status: true
  //   };
  // }
};
