const initServer = require("./server");

exports.name = "serve";
exports.desc = "westart serve";
exports.options = {
  "-h, --help": "print this help message",
  "-p, --port": "define the server port"
};

exports.run = function (argv, cli) {
  // 如果输入为 fis3 foo -h
  // 或者 fis3 foo --help
  // 则输出帮助信息。
  // console.log("this: ", cli.getFis());

  if (argv.h || argv.help) {
    return cli.help(exports.name, exports.options);
  }

  initServer(argv.port || argv.p);
};
