/**
 * @require './lib/layui/css/layui.css';
 * @require './lib/tippy/themes/light-border.css'
 * @require './list.css'
 * @require './lib/prism/prism.css'
 * @require './lib/layui/layui.js';
 * @require './lib/popper.js';
 * @require './lib/tippy/tippy.js'
 * @require ./lib/clipboard.js
 * @require './lib/prism/prism.js'
 */

layui.config({
  dir: "../resource/westar-private-static/lib/layui/"
});
layui.use(["element", "code"], function () {});

new ClipboardJS(".layui-ws-copy").on("success", function (e) {
  const dom = e.trigger.getElementsByClassName("layui-ws-copy-tip")[0];
  dom.innerHTML = "已复制";
  setTimeout(function () {
    dom.innerHTML = "点击可复制";
  }, 1000);
});

tippy("#layui-ws-title", {
  content: document.getElementById("layui-ws-select").innerHTML,
  theme: "light-border",
  allowHTML: true,
  trigger: "click",
  interactive: true
});
